<?php

namespace Pinpoint\RedirectManager\Model\Redirect\AttributeSet;

/**
 * Class Options
 * @package Pinpoint\RedirectManager\Model\Redirect\AttributeSet
 */
class Options implements \Magento\Framework\Data\OptionSourceInterface
{
    /**
     * @var null|array
     */
    protected $options;

    /**
     * @var \Magento\Framework\Filesystem\Driver\File
     */
    protected $file;

    /**
     * @var \Magento\Framework\Filesystem
     */
    protected $fileSystem;

    /**
     * Options constructor.
     * @param \Magento\Framework\Filesystem\Driver\File $file
     * @param \Magento\Framework\Filesystem $filesystem
     */
    public function __construct(
        \Magento\Framework\Filesystem\Driver\File $file,
        \Magento\Framework\Filesystem $filesystem
    ) {
        $this->file = $file;
        $this->fileSystem = $filesystem;
    }

    /**
     * @return array
     */
    public function toOptionArray()
    {
        if (null == $this->options) {
            $this->options = [
                ['label' => '301 Moved Permanently', 'value' => '301'],
                ['label' => '302 Found', 'value' => '302'],
                ['label' => '307 Temporary Redirect', 'value' => '307']
            ];
        }

        return $this->options;
    }
}
